Bug 492158 - Traceback from EFI partitioning
Traceback from EFI partitioning
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:9419129536f5e333b...
:
Depends On:
Blocks: F11AnacondaBlocker
  Show dependency treegraph
 
Reported: 2009-03-25 12:53 EDT by Jesse Keating
Modified: 2013-01-09 22:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 17:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (270.41 KB, text/plain)
2009-03-25 12:53 EDT, Jesse Keating
no flags Details
storage log (128.80 KB, text/plain)
2009-03-25 12:55 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2009-03-25 12:53:34 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.37 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/partitioning.py", line 870, in growPartitions
    if not limited[part.name]:
  File "/usr/lib/anaconda/storage/partitioning.py", line 554, in doPartitioning
    growPartitions(disks, partitions)
  File "/usr/lib/anaconda/storage/partitioning.py", line 191, in doAutoPartition
    exclusiveDisks=anaconda.id.storage.clearPartDisks)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
KeyError: 'sda7'
Comment 1 Jesse Keating 2009-03-25 12:53:42 EDT
Created attachment 336672 [details]
Attached traceback automatically from anaconda.
Comment 2 Jesse Keating 2009-03-25 12:55:49 EDT
Created attachment 336674 [details]
storage log
Comment 3 Chris Lumens 2009-03-31 11:46:55 EDT
This should be fixed with the next build of anaconda.
Comment 4 Chris McDermott 2009-04-03 16:39:11 EDT
Ran into the same problem on an IBM HS22 blade and and IBM x3650 M2.
Comment 5 Chris Ward 2009-04-06 05:30:32 EDT
~Attention~

This bug appears to pertain to an important F11 feature, EFI, which the Fedora Community will be testing in an upcoming Fedora Test Day. Your participation in the action would be greatly appreciated!

More information:
https://fedoraproject.org/wiki/QA/Test_Days/2009-04-09
https://fedoraproject.org/wiki/Features/EFI
Comment 6 Will Woods 2009-04-29 12:39:44 EDT
I can't trigger this on my EFI system. Jesse, is there a specific method to triggering this bug, or can it be closed?
Comment 7 Jesse Keating 2009-05-06 17:56:33 EDT
No more tracebacks for me.

Note You need to log in before you can comment on or make changes to this bug.